<style scoped>
.vc-container >>> .vc-text-gray-400 {
  opacity: 0.1;
}
</style>
<template>
  <v-date-picker
    v-model="_value"
    mode="multiple"
    is-inline
    :columns="2"
    :step="1"
    :first-day-of-week="2"
    :min-date="fromDate"
    :max-date="toDate"
    :available-dates="availableDates"
    :select-attribute="selectAttribute"
  />
</template>

<script>
import { isEqual } from "lodash-es";
import { parseISO, lightFormat } from "date-fns";
export default {
  props: {
    value: { type: Array, default: () => [] },
    options: { type: Array, default: () => [] }
  },
  data() {
    return {
      selectAttribute: {
        // highlight: 'green'
      }
    };
  },
  computed: {
    _value: {
      get() {
        return this.value.map(x => parseISO(x));
      },
      set(value) {
        const input = value.map(x => lightFormat(x, "yyyy-MM-dd"));

        if (isEqual(input, this.value)) return;

        this.$emit("input", input);
      }
    },
    availableDates() {
      return this.options.map(x => parseISO(x));
    },
    fromDate() {
      return parseISO(this.options[0]);
    },
    toDate() {
      return parseISO(this.options[this.options.length - 1]);
    }
  }
};
</script>